body { font-family: Arial, sans-serif; margin: 0; background:#222;}
header {
  color:#fff; 
  padding: 1rem 2rem;
  background: #222;
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #ddd;
}
header h1 { margin:0; font-size:1.2rem; }

#category-buttons {
  display: flex;
  justify-content: flex-start;
  gap: 0.5rem;
  margin-bottom: 1rem;
  width: 100%;
  flex-wrap: nowrap;   /* Desktop: one row */
}
/* Buttons */
#category-buttons button {
  text-align: left;
  padding: 0.4rem 0.8rem;
  border-radius: 20px;
  background: #111;
  color: #fff;
  cursor: pointer;
  white-space: nowrap;
  font-size: 0.85rem;
}
#category-buttons button:hover {
  background: #444;
}
#category-buttons button.active {
  background: #ffb07c;
  color: #222;
}

@media (max-width: 400px) {
  #category-buttons {
    flex-wrap: wrap;
  }
}

h1 { font-size: 1.4rem; }

.lang button {
  margin-left: .5rem;
  cursor: pointer;
}

section { padding: 2rem; }
.price { font-weight: bold; }
.notforsale { color: #888; font-style: italic; }
main { padding:2rem; }
.grid { display:grid; grid-template-columns:repeat(auto-fit,minmax(320px,1fr)); gap:1.5rem; }
.product { background:#333; border-radius:8px; padding:1rem; box-shadow:0 4px 10px rgba(0,0,0,0.08); margin-bottom: 5px; }
.product img { width:100%; border-radius:6px; }
.product h3 { margin:0.5rem 0 0.2rem; }
.price { font-weight:bold; margin:0.4rem 0; }
button { border:none; background:#222; color:#fff; padding:0.5rem; width:100%; border-radius:4px; cursor:pointer; }
button:hover { background:#444; }
